org.apache.ignite.client.events

## Class HandshakeStartEvent

- java.lang.Object
- - org.apache.ignite.client.events.ConnectionEvent
  - - org.apache.ignite.client.events.HandshakeStartEvent

    public class HandshakeStartEvent
    extends ConnectionEvent

### Constructor Summary

Constructors
Constructor and Description
`HandshakeStartEvent(ConnectionDescription conn)`

### Method Summary

### Methods inherited from class org.apache.ignite.client.events.ConnectionEvent

`connectionDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandshakeStartEvent

    public HandshakeStartEvent(ConnectionDescription conn)

Parameters:
  `conn` - Connection description.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023